<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Левин А.В. (loki_angel@mail.ru)
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 

  // Заголовок страницы
  $menu = 22;
  $title='Время сеанса'; 
  $pageinfo='На этой странице вы можете видеть статистику по времени проведенном посетителями на вашем сайте за различные периоды времени.';  
  include "topcounter.php";
?>
<table class="table" width="100%" border="0" cellpadding="0" cellspacing="0">
<tr class="header">
  <td width=<?= 100/5 ?>% align=center><a href='time.php?begin=1&end=0'>Сегодня</a></td>
  <td width=<?= 100/5 ?>% align=center><a href='time.php?begin=2&end=1'>Вчера</a></td>
  <td width=<?= 100/5 ?>% align=center><a href='time.php?begin=7&end=0'>За 7 дней</a></td>
  <td width=<?= 100/5 ?>% align=center><a href='time.php?begin=30&end=0'>За 30 дней</a></td>
  <td width=<?= 100/5 ?>% align=center><a href='time.php?begin=0&end=0'>За всё время</a></td>
</tr>
</table><br><br>
<table class="table" width="100%" border="0" cellpadding="0" cellspacing="0">
       <tr class="header"><td><p>Время</td><td>Пользователей</td><td>Гистограмма</td></tr>

<?
 if(!isset($begin) ||
     !isset($end))
  {
    $begin = 1;
    $end   = 0;
  }      
  //Очищаем таблицу $tbl_thits
  $query = "TRUNCATE TABLE $tbl_thits";  
  $res = mysql_query($query); 
           
  // $begin - число дней, которое необходимо вычесть из текущей даты,
  // для того чтобы получить начальную точку временного интервала
  // $end - число дней, которое необходимо вычесть из текущей даты,
  // для того чтобы получить конечную точку временного интервала

  // Запрос на статистику за временной интервал определяемый
  // параметрами $begin,$end 
  if ($begin==0) $begin=(intval((time()-$date['data'])/3600/24)+1);
  for ($i=$begin; $i>$end; $i--)
  {
    if($begin == 0) $tmp2 = ""; 
    else 
    {
      $tmp2 = " AND putdate >= DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL ".$i." DAY ";
      $tmp1 = " putdate < DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL ".($i-1)." DAY ";
    }       
    $query = "INSERT INTO $tbl_thits SELECT ROUND((max(unix_timestamp(putdate))-min(unix_timestamp(putdate)))/60)*60+60 
           FROM $tbl_ip 
           WHERE systems != 'none' AND
                 systems != 'robot_yandex' AND
                 systems != 'robot_google' AND
                 systems != 'robot_rambler' AND
                 systems != 'robot_aport' AND
                 systems != 'robot_msn' AND
                 $tmp1 
                 $tmp2 
                 GROUP BY ip";
    mysql_query($query);
  }
  $query = "SELECT count(hits) AS hits2 FROM $tbl_thits GROUP BY hits ORDER BY hits2 DESC";
  $res = mysql_query($query);
  if(!$res) exit(mysql_error());
  if (mysql_num_rows($res)>0)
  {
    $total=mysql_result($res,0);

    $query = "SELECT hits, count(hits) AS hits2 FROM $tbl_thits GROUP BY hits ORDER BY hits";
    $res = mysql_query($query); 
    while($deep = mysql_fetch_array($res))
    {
      echo "<tr>
             <td>".gmdate("H:i", $deep['hits'])."</td>
             <td>".$deep['hits2']."</td>
             <td><img src=images/parm.gif border=0 width=".(400/$total*$deep['hits2'])." height=6></td>
            </tr>";
      $host += $deep['hits2'];
    }
  }
  echo "<tr>&nbsp;<td></td><td>Хостов :".$host."</td><td>&nbsp;</td></tr>";
  ?>
</table>
<?php
  // Включаем завершение страницы
  include "bottomcounter.php";
?>
